

#include <heport.h>			// Portable Code: DOS, AVR, LINUX
#include <hegettim.h>
#include <helq.h>			// nsprintf
#include <heimath.h>
#include <heprocio.h>
#include <helang.h>
#include <sf.h>

#define R(a,b,c,d,e) ( (a<<4)| (b<<3)| (c<<2)| (d<<1) | e )
struct sfont {
u8 r[7] ;
} ;

struct sfont const vfont[0x60] PROGMEM= {
    { R(0,0,0,0,0),	// 0x20 = Leerzeichen
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,0,0),	// 0x21 = '!'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,1,0,1,0),	// 0x22 = '"'
      R(0,1,0,1,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,1,0,1,0),	// 0x23 = '#'
      R(0,1,0,1,0),
      R(1,1,1,1,1),
      R(0,1,0,1,0),
      R(1,1,1,1,1),
      R(0,1,0,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,0,0),	// 0x24 = '$'
      R(0,1,1,1,1),
      R(1,0,0,0,0),
      R(0,1,1,1,0),
      R(0,0,0,0,1),
      R(1,1,1,1,0),
      R(0,0,1,0,0),
       } ,
    { R(0,0,0,0,1),	// 0x25 = '%'
      R(0,1,0,1,0),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(1,0,0,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,1,0,0,0),	// 0x26 = '&'
      R(1,0,1,0,0),
      R(0,1,0,0,0),
      R(1,0,1,0,1),
      R(1,0,0,1,0),
      R(0,1,1,0,1),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,0,0),	// 0x27 = '''
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,1,0),	// 0x28 = '('
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,0,0),	// 0x29 = ')'
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
    { R(1,0,0,0,1),	// 0x2A = '*'
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(1,1,1,1,1),
      R(0,1,0,1,0),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
       } ,
    { R(0,0,0,0,0),	// 0x2B = '+'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(1,1,1,1,1),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,0,0),	// 0x2C = ','
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,0,0),	// 0x2D= '-'
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,0,0),	// 0x2E = '.'
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,0,1),	// 0x2f = '/'
      R(0,0,0,0,1),
      R(1,0,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(1,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,1,0),	// 0x30 = '0'
      R(0,1,0,0,1),
      R(0,1,0,0,1),
      R(0,1,0,0,1),
      R(0,1,0,0,1),
      R(0,0,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,0,0),	// 0x31 = '1'
      R(0,1,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,1,1,1,0),	// 0x32 = '2'
      R(0,0,0,0,1),
      R(0,0,1,1,0),
      R(0,1,0,0,0),
      R(0,1,0,0,0),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
       } ,
    { R(0,1,1,1,0),	// 0x33 = '3'
      R(0,0,0,0,1),
      R(0,0,1,1,0),
      R(0,0,0,0,1),
      R(0,0,0,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,1,0),	// 0x34 = '4'
      R(0,0,1,1,0),
      R(0,1,0,1,0),
      R(0,1,1,1,1),
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,1,1),	// 0x35 = '5'
      R(0,1,0,0,0),
      R(0,0,1,1,0),
      R(0,0,0,0,1),
      R(0,0,0,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,1,1),	// 0x36 = '6'
      R(0,1,0,0,0),
      R(0,1,1,1,0),
      R(0,1,0,0,1),
      R(0,1,0,0,1),
      R(0,0,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,1,1,1,1),	// 0x37 = '7'
      R(0,0,0,0,1),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,1,0),	// 0x38 = '8'
      R(0,1,0,0,1),
      R(0,0,1,1,0),
      R(0,1,0,0,1),
      R(0,1,0,0,1),
      R(0,0,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,1,1,0),	// 0x39 = '9'
      R(0,1,0,0,1),
      R(0,0,1,1,1),
      R(0,0,0,0,1),
      R(0,0,0,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,0,0),	// 0x3A = ':'
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,0,0),	// 0x3B = ';'
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,0,0,1,0),	// 0x3C = '<'
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(1,0,0,0,0),
      R(0,1,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,1,0),
       } ,
    { R(0,0,0,0,0),	// 0x3D = '='
      R(1,1,1,1,1),
      R(0,0,0,0,0),
      R(1,1,1,1,1),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
    { R(0,1,0,0,0),	// 0x3E = '>'
      R(0,0,1,0,0),
      R(0,0,0,1,0),
      R(0,0,0,0,1),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
       } ,
    { R(0,1,1,1,0),	// 0x3F = '?'
      R(0,0,0,0,1),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,1,0,0),
       } ,
    { R(0,1,1,1,0),	// 0x40 = '@'
      R(1,0,0,0,1),
      R(1,0,1,1,1),
      R(1,0,1,0,1),
      R(1,0,1,1,1),
      R(1,0,0,0,0),
      R(0,1,1,1,1),
       } ,
    { R(0,0,1,0,0),	// 0x41 = 'A'
      R(0,1,0,1,0),
      R(1,0,0,0,1),
      R(1,1,1,1,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
       } ,
    { R(1,1,1,1,0),	// 0x44 = 'B'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,1,1,1,0),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,1,1,1,0),
       } ,
    { R(0,1,1,1,0),	// 0x43 = 'C'
      R(1,0,0,0,1),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,1),
      R(0,1,1,1,0),
       } ,
    { R(1,1,1,1,0),	// 0x44 = 'D'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,1,1,1,0),
       } ,
    { R(1,1,1,1,1),	// 0x45 = 'E'
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,1,1,1,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,1,1,1,1),
       } ,
    { R(1,1,1,1,1),	// 0x46 = 'F'
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,1,1,1,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
       } ,
	{ R(0,1,1,1,1),	// 0x47 = 'G'
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,1,1,0),
      R(1,0,1,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x48 = 'H'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,1,1,1,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
       } ,
	{ R(0,1,1,1,0),	// 0x49 = 'I'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,1,1,1,0),
       } ,
	{ R(0,1,1,1,0),	// 0x4A = 'J'
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,1,1),	// 0x4B = 'K'
      R(1,0,1,0,0),
      R(1,1,0,0,0),
      R(1,0,1,0,0),
      R(1,0,0,1,0),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,0),	// 0x4C = 'L'
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x4D = 'M'
      R(1,1,0,1,1),
      R(1,0,1,0,1),
      R(1,0,1,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x4E = 'N'
      R(1,1,0,0,1),
      R(1,0,1,0,1),
      R(1,0,0,1,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,1,1,1,0),	// 0x4F = 'O'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,1,1,1,0),	// 0x50 = 'P'
      R(1,0,0,0,1),
      R(1,1,1,1,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,1,1,1,0),	// 0x51 = 'Q'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,1,0,1),
      R(1,0,0,1,1),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(1,1,1,1,0),	// 0x52 = 'R'
      R(1,0,0,0,1),
      R(1,1,1,1,0),
      R(1,1,0,0,0),
      R(1,0,1,0,0),
      R(1,0,0,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,1,1,1,1),	// 0x53 = 'S'
      R(1,0,0,0,0),
      R(0,1,1,1,0),
      R(0,0,0,0,1),
      R(0,0,0,0,1),
      R(1,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,1,1,1,1),	// 0x54 = 'T'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x55 = 'U'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x56 = 'V'
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x57 = 'W'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,1,0,1),
      R(1,0,1,0,1),
      R(0,1,0,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x58 = 'X'
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,1,0),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,1),	// 0x59 = 'Y'
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,1,1,1,1),	// 0x5A = 'Z'
      R(0,0,0,0,1),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(1,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,1,1,1,0),	// 0x5B = '['
      R(0,1,0,0,0),
      R(0,1,0,0,0),
      R(0,1,0,0,0),
      R(0,1,0,0,0),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,0),	// 0x5C = '\'
      R(1,0,0,0,0),
      R(0,1,0,0,0),
      R(0,0,1,0,0),
      R(0,0,0,1,0),
      R(0,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,1,1,1,0),	// 0x5D = ']'
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,0,0,1,0),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,1,0,0),	// 0x5E = '^'
      R(0,1,0,1,0),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x5F = '_'
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(1,1,1,1,1),
       } ,
	{ R(0,1,0,0,0),	// 0x60 = '`'
      R(0,0,1,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x61 = 'a'
      R(1,1,1,1,0),
      R(0,0,0,0,1),
      R(0,1,1,1,1),
      R(1,0,0,0,1),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,0,0,0),	// 0x62 = 'b'
      R(1,0,0,0,0),
      R(1,0,1,1,0),
      R(1,1,0,0,1),
      R(1,0,0,0,1),
      R(1,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x63 = 'c'
      R(0,1,1,1,1),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x64 = 'd'
      R(0,0,0,0,1),
      R(0,0,0,0,1),
      R(0,0,1,1,1),
      R(0,1,0,0,1),
      R(0,0,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x65 = 'e'
      R(0,1,1,1,0),
      R(1,0,0,0,1),
      R(1,1,1,1,0),
      R(1,0,0,0,0),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,1,0,0),	// 0x66 = 'f'
      R(0,1,0,1,0),
      R(0,1,0,0,0),
      R(1,1,1,0,0),
      R(0,1,0,0,0),
      R(0,1,0,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x67 = 'g'
      R(0,1,1,1,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,1,1,1),
      R(0,0,0,0,1),
      R(0,1,1,1,0),
       } ,
	{ R(0,0,0,0,0),	// 0x68 = 'h'
      R(1,0,0,0,0),
      R(1,0,1,1,0),
      R(1,1,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,1,0,0),	// 0x69 = 'i'
      R(0,0,0,0,0),
      R(0,1,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,1,0,0),	// 0x6A = 'j'
      R(0,0,0,0,0),
      R(0,1,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(1,0,1,0,0),
      R(0,1,1,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x6B = 'k'
      R(1,0,0,0,0),
      R(1,0,1,0,0),
      R(1,1,0,0,0),
      R(1,0,1,0,0),
      R(1,0,0,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,1,1,0,0),	// 0x6C = 'l'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,1,1,1,0),
       } ,
	{ R(0,0,0,0,0),	// 0x6D = 'm'
      R(1,0,1,0,1),
      R(1,1,1,1,1),
      R(1,0,1,0,1),
      R(1,0,1,0,1),
      R(1,0,1,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x6E = 'n'
      R(1,0,1,1,0),
      R(1,1,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x6F = 'o'
      R(0,1,1,1,0),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,1,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x70 = 'p'
      R(1,1,1,1,0),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,1,1,1,0),
      R(1,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x71 = 'q'
      R(0,1,1,1,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,1,1,1),
      R(0,0,0,0,1),
       } ,
	{ R(0,0,0,0,0),	// 0x72 = 'r'
      R(1,0,1,1,0),
      R(1,1,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
      R(1,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x73 = 's'
      R(0,1,1,1,0),
      R(1,0,0,0,0),
      R(0,1,1,1,0),
      R(0,0,0,0,1),
      R(1,1,1,1,0),
      R(1,0,0,0,0),
       } ,
	{ R(0,0,1,0,0),	// 0x74 = 't'
      R(0,1,1,1,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x75 = 'u'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x76 = 'v'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x77 = 'w'
      R(1,0,0,0,1),
      R(1,0,1,0,1),
      R(1,0,1,0,1),
      R(0,1,0,1,0),
      R(0,1,0,1,0),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x78 = 'x'
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,1,0),
      R(1,0,0,0,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x79 = 'y'
      R(1,0,0,0,1),
      R(1,0,0,0,1),
      R(0,1,0,1,0),
      R(0,1,0,1,0),
      R(0,0,1,0,0),
      R(0,1,1,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x7A = 'z'
      R(1,1,1,1,1),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(1,1,1,1,1),
      R(0,0,0,0,0),
       } ,
	{ R(0,0,0,1,0),	// 0x7B = '{'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(1,0,0,1,0),
       } ,
	{ R(0,0,1,0,0),	// 0x7C = '|'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
       } ,
	{ R(0,1,0,0,0),	// 0x7D = '}'
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,0,0,1,0),
      R(0,0,1,0,0),
      R(0,0,1,0,0),
      R(0,1,0,0,0),
       } ,
	{ R(0,0,0,0,0),	// 0x7E = '~'
      R(0,1,0,0,0),
      R(1,0,1,0,1),
      R(0,0,0,1,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
      R(0,0,0,0,0),
       } ,
	{ R(1,0,1,0,1),	// 0x7F = Del
	  R(0,1,0,1,0),
      R(1,0,1,0,1),
	  R(0,1,0,1,0),
      R(1,0,1,0,1),
	  R(0,1,0,1,0),
      R(1,0,1,0,1),
       } 
	} ;

FUNCT u8 font5x7getr( 
u8 c ,		// Character
int z )		// Zeile
{
// const struct sfont *pf ;
u8 rv ;

if ( c < 0x20 ) return 0 ;
if ( c >= 0x80 ) return 0 ;
// pf = &vfont[ c-0x20 ] ;
// rv = pf->r[z] ;
rv = pgm_read_byte( &vfont[ c-0x20 ].r[z] );
return rv ;	// Alle 5 Spaltenbits von der Zeile
}


FUNCT bool font5x7get( 
u8 c , // Character
int z , // Zeile
int s ) //Spalte
{
u8 ss ;

if ( c < 0x20 ) return false ;
if ( c >= 0x80 ) return false ;

ss = pgm_read_byte( &vfont[ c-0x20 ].r[z] ) ;
// s 0...4
if ( ss & ( 1 << (4-s) ) )
	{
	return true ;
	}
return false ;
}


